linux-trace-devel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Steven Rostedt <rostedt@goodmis.org>
To: <linux-trace-devel@vger.kernel.org>
Cc: "Steven Rostedt (VMware)" <rostedt@goodmis.org>
Subject: [PATCH 1/3] trace-cmd record: Add bash tab completion for -A
Date: Fri, 16 Apr 2021 20:46:35 -0400	[thread overview]
Message-ID: <20210417004637.3899514-2-rostedt@goodmis.org> (raw)
In-Reply-To: <20210417004637.3899514-1-rostedt@goodmis.org>

From: "Steven Rostedt (VMware)" <rostedt@goodmis.org>

Add a virsh lookup of guest names when -A is the option for trace-cmd
record and tab is done.

Signed-off-by: Steven Rostedt (VMware) <rostedt@goodmis.org>
---
 tracecmd/trace-cmd.bash | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/tracecmd/trace-cmd.bash b/tracecmd/trace-cmd.bash
index 85f6743b..e89c1a55 100644
--- a/tracecmd/trace-cmd.bash
+++ b/tracecmd/trace-cmd.bash
@@ -9,6 +9,17 @@ show_instances()
    return 0
 }
 
+show_virt()
+{
+    local cur="$1"
+    if ! which virsh &>/dev/null; then
+	return 1
+    fi
+    local virt=`virsh list | awk '/^ *[0-9]/ { print $2 }'`
+    COMPREPLY=( $(compgen -W "${virt}" -- "${cur}") )
+    return 0
+}
+
 show_options()
 {
    local cur="$1"
@@ -159,6 +170,11 @@ __trace_cmd_record_complete()
 	-O)
 	    show_options "$cur"
 	    ;;
+	-A)
+	    if ! show_virt "$cur"; then
+		cmd_options record "$cur"
+	    fi
+	    ;;
         *)
 	    # stream start and profile do not show all options
 	    cmd_options record "$cur"
-- 
2.29.2


  reply	other threads:[~2021-04-17  0:46 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-17  0:46 [PATCH 0/3] trace-cmd: Updated bash tab completion Steven Rostedt
2021-04-17  0:46 ` Steven Rostedt [this message]
2021-04-17  0:46 ` [PATCH 2/3] trace-cmd record: Update -e event " Steven Rostedt
2021-04-17  0:46 ` [PATCH 3/3] trace-cmd completion: Add instance completion for -B Steven Rostedt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210417004637.3899514-2-rostedt@goodmis.org \
    --to=rostedt@goodmis.org \
    --cc=linux-trace-devel@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).